import 'package:equatable/equatable.dart';

class User extends Equatable {
  final String email;
  final String? name;

  const User({required this.email, this.name});

  @override
  List<Object?> get props => [email, name];

  User copyWith({String? email, String? name}) {
    return User(email: email ?? this.email, name: name ?? this.name);
  }
}
